diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 4dbb5c8..cc291b7 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -210,14 +210,21 @@ logarithms and exponentials.
 \bibitem[Bronstein 91a]{Bro91a} Bronstein, M.\\
 ``The Risch differential equation on an algebraic curve''\\
 in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
+%\verb|axiom-developer.org/axiom-website/papers/Bro91a.pdf| REF:00120
 
-\bibitem[Bronstein 91b]{Bro91b} Bronstein, M.\\
-``The Risch differential equation on an algebraic curve''\\
- In S.Watt, editor, {\sl Proceedings of ISSAC'91},
-pages 241-246, ACM Press, 1991.
+\begin{adjustwidth}{2.5em}{0pt}
+We present a new rational algorithm for solving Risch differential
+equations over algebraic curves. This algorithm can also be used to
+solve $n^{th}$-order linear ordinary differential equations with
+coefficients in an algebraic extension of the rational functions. In
+the general ("mixed function") case, this algorithm finds the
+denominator of any solution of the equation.
+\end{adjustwidth}
 
-\bibitem[Bronstein 91c]{Bro91c} Bronstein, Manual\\
+\bibitem[Bronstein 91c]{Bro91c} Bronstein, Manuel\\
 ``Computer Algebra and Indefinite Integrals''\\
+in Computer Aided Proofs in Analysis, K.R. Meyers et al. (eds) 
+Springer-Verlag, NY (1991)
 %\verb|axiom-developer.org/axiom-website/papers/Bro91c.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
@@ -269,6 +276,7 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993\\
 
 \bibitem[Bronstein 92a]{Bro92a} Bronstein, Manuel\\
 ``Integration and Differential Equations in Computer Algebra''
+\verb|citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.42.576|
 %\verb|axiom-developer.org/axiom-website/papers/Bro92a.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
@@ -881,6 +889,10 @@ ISBN 0-89791-199-7 LCCN QA155.7.E4 A281 1986 ACM order number 505860
 ``On an installation of Buchberger's algorithm''\\
 Journal of Symbolic Computation, 6(2-3) pp275-286 1988
 CODEN JSYCEH ISSN 0747-7171
+\verb|www.sciencedirect.com/science/article/pii/S0747717188800488/pdf|
+\verb|?md5=f6ccf63002ef3bc58aaa92e12ef18980&|
+\verb|pid=1-s2.0-S0747717188800488-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/GM88.pdf|
 
 \bibitem[Geddes 92]{GCL92} Geddes, Keith; Czapor, O.; Stephen R.; 
 Labahn, George\\
@@ -891,6 +903,15 @@ Kluwer Academic Publishers ISBN 0-7923-9259-0 (Sept 1992)
 ``Primary Decomposition of Ideals''\\
 in [Wit87], pp12-13
 
+\bibitem[Gianni 88]{Gia88} Gianni, Patrizia.; Trager, Barry.; 
+Zacharias, Gail.\\
+``Gr\"obner Bases and Primary Decomposition of Polynomial Ideals''\\
+J. Symbolic Computation 6, 149-167 (1988)\\
+\verb|www.sciencedirect.com/science/article/pii/S0747717188800403/pdf|
+\verb|?md5=40c29b67947035884904fd4597ddf710&|
+\verb|pid=1-s2.0-S0747717188800403-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gia88.pdf|
+
 \bibitem[Gianni 89a]{Gia89} Gianni, P. (Patrizia) (ed)\\ 
 Symbolic and Algebraic Computation. 
 International Symposium ISSAC '88, Rome, Italy, July 4-8, 1988. Proceedings,
@@ -1000,7 +1021,7 @@ In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971\\
 \verb|delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|\\
 SYMSAC'71 Proc. second ACM Symposium on Symbolic and Algebraic
 Manipulation pp45-48
-%\verb|axiom-developer.org/axiom-website/papers/GJ71.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/GJ71.pdf| REF:00027
 
 \begin{adjustwidth}{2.5em}{0pt}
 The SCRATCHPAD/1 system is designed to provide an interactive symbolic
@@ -1108,6 +1129,7 @@ Watson Research Center, Yorktown Heights, NY, USA, 1969 RC2968 July 1970
 ``META/PLUS: The syntax extension facility for SCRATCHPAD''\\
 Research Report RC 3259, International Business Machines, Inc., Thomas J.
 Watson Research Center, Yorktown Heights, NY, USA, 1971
+% REF:00040
 
 \bibitem[Jenks 74]{Jen74} Jenks, R. D.\\ 
 ``The SCRATCHPAD language''\\ 
@@ -1198,6 +1220,7 @@ In Jan{\ss}en
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1992 ISBN 0-387-97855-0 (New York), 3-540-97855-0 (Berlin) 742pp
 LCCN QA76.95.J46 1992
+% REF:00116
 
 \bibitem[Jenks 94]{JT94} Jenks, R. D.; Trager, B. M.\\
 ``How to make AXIOM into a Scratchpad''\\
@@ -1223,7 +1246,17 @@ SIGSAM Communications in Computer Algebra, 157 2006\\
 ``Integration of Algebraic Functions: A Simple Heuristic for Finding
 the Logarithmic Part''\\
 ISSAC July 2008 ACM 978-1-59593-904 pp133-140
-\verb|www.kauers.de/publications.html|
+\verb|www.risc.jku.at/publications/download/risc_3427/Ka01.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kau08.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+A new method is proposed for finding the logarithmic part of an
+integral over an algebraic function. The method uses Gr\"obner bases
+and is easy to implement. It does not have the feature of finding a
+closed form of an integral whenever there is one. But it very often
+does, as we will show by a comparison with the built-in integrators of
+some computer algebra systems.
+\end{adjustwidth}
 
 \bibitem[Keady 94]{KN94} Keady, G.; Nolan, G.\\
 ``Production of Argument SubPrograms in the AXIOM -- NAG
@@ -1818,6 +1851,25 @@ LCCN QA268.A35 1998 Conference held jointly with ISSAC '88
 ``An algorithm for solving parametric linear systems''\\
 Journal of Symbolic Computations, 13(4) pp353-394, April 1992 CODEN JSYCEH 
 ISSN 0747-7171
+\verb|www.sciencedirect.com/science/article/pii/S0747717108801046/pdf|
+\verb|?md5=00aa65e18e6ea5c4a008c8dfdfcd4b83&|
+\verb|pid=1-s2.0-S0747717108801046-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Sit92.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We present a theoretical foundation for studying parametric systesm of
+linear equations and prove an efficient algorithm for identifying all
+parametric values (including degnerate cases) for which the system is
+consistent. The algorithm gives a small set of regimes where for each
+regime, the solutions of the specialized systems may be given
+uniformly. For homogeneous linear systems, or for systems were the
+right hand side is arbitrary, this small set is irredunant. We discuss
+in detail practical issues concerning implementations, with particular
+emphasis on simplification of results. Examples are given based on a
+close implementation of the algorithm in SCRATCHPAD II. We also give a
+complexity analysis of the Gaussian elimination method and compare
+that with our algorithm.
+\end{adjustwidth}
 
 \bibitem[Sit 06]{Sit06} Sit, Emil\\
 ``Tools for Repeatable Research''\\
@@ -2253,6 +2305,30 @@ December 4, 2000.
 ``DASL - Data Approximation Subroutine Library''\\
 National Physical Laboratory. (1982) 
 
+\bibitem[Arnon 88]{Arno88} Arno, D.S.; MIgnotte, M.\\
+``On Mechanical Quantifier Elimination for Elementary Algebra and Geometry''\\
+J. Symbolic Computation 5, 237-259 (1988)
+\verb|http://www.sciencedirect.com/science/article/pii/S0747717188800142/|\\
+\verb|pdf?md5=62052077d84e6078cc024bc8e29c23c1&|
+\verb|pid=1-s2.0-S0747717188800142-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Arno88.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We give solutions to two problems of elementary algebra and geometry:
+(1) find conditions on real numbers $p$, $q$, and $r$ so that the
+polynomial function $f(x)=x^4+px^2+qx+r$ is nonnegative for all real
+$x$ and (2) find conditions on real numbers $a$, $b$, and $c$ so that
+the ellipse $\frac{(x-e)^2}{q^2}+\frac{y^2}{b^2}-1=0$ lies inside the
+unit circle $y^2+x^2-1=0$. Our solutions are obtained by following the
+basic outline of the method of quantifier elimination by cylindrical
+algebraic decomposition (Collins, 1975), but we have developed, and
+have been considerably aided by, modified versions of certain of its
+steps. We have found three equally simple but not obviously equivalent
+solutions for the first problem, illustrating the difficulty of
+obtaining unique ``simplest'' solutions to quantifier elimination
+problems of elementary algebra and geometry.
+\end{adjustwidth}
+
 \bibitem[Aubry 99]{ALM99} P. Aubry; D. Lazard; M. Moreno Maza\\
 ``On the Theories of Triangular Sets''\\
 Journal of Symbolic Computation 1999 Vol 28 pp105-124
@@ -2365,6 +2441,7 @@ Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
 ``The Transcendental Risch Differential Equation''\\
 J. Symbolic Computation (1990) 9, pp49-60 Feb 1988\\
 IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
+\verb|www.sciencedirect.com/science/article/pii/S0747717108800065|
 %\verb|axiom-developer.org/axiom-website/papers/Bro88.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
@@ -2417,6 +2494,20 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993\\
 \bibitem[Bronstein 98]{REF-Bro98} Bronstein, M.\\
 ``The lazy hermite reduction''\\
 Rapport de Recherche RR-3562, INRIA, 1998
+%\verb|axiom-developer.org/axiom-website/papers/REF-Bro98.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+The Hermite reduction is a symbolic integration technique that reduces
+algebraic functions to integrands having only simple affine
+poles. While it is very effective in the case of simple radical
+extensions, its use in more general algebraic extensions requires the
+precomputation of an integral basis, which makes the reduction
+impractical for either multiple algebraic extensions or complicated
+ground fields. In this paper, we show that the Hermite reduction can
+be performed without {\sl a priori} computation of either a primitive
+element or integral basis, computing the smallest order necessary for
+a particular integrand along the way.
+\end{adjustwidth}
 
 \bibitem[Bronstein 98b]{Bro98b} Bronstein, Manuel\\
 ``Symbolic Integration Tutorial''\\
@@ -2637,6 +2728,62 @@ Journal of Pure and Applied Algebra V145 No 2 Jan 2000 pp149-163
 equations''\\
 A.E.R.E. Report R.8730. HMSO. (1977) 
 
+\bibitem[Duval 94a]{Duva94a} Duval, D.; Reynaud, J.C.\\
+``Sketches and Computation (Part I): Basic Definitions and Static Evaluation''\\
+Mathematical Structures in Computer Science, 4, p 185-238 Cambridge University Press (1994)
+\verb|journals.cambridge.org/abstract_S0960129500000438|
+%\verb|axiom-developer.org/axiom-website/papers/Duva94a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We define a categorical framework, based on the notion of {\sl
+sketch}, for specification and evaluation in the sense of algebraic
+specifications and algebraic programming. This framework goes far
+beyond our initial motivations, which was to specify computation with
+algebraic numbers. We begin by redefining sketches in order to deal
+explicitly with programs. Expressions and terms are carefully defined
+and studied, then {\sl quasi-projective sketches} are introduced. We
+describe {\sl static evaluation} in these sketches: we propose a
+rigorous basis for evaluation in the corresponding structures. These
+structures admit an initial model, but are not necessarily
+equational. In Part II (Duval and Reynaud 1994), we study a more
+general process, called {\sl dynamic evaluation}, for structures that
+may have no initial model.
+\end{adjustwidth}
+
+\bibitem[Duval 94b]{Duva94b} Duval, D.; Reynaud, J.C.\\
+``Sketches and Computation (Part II): Dynamic Evaluation and Applications''\\
+Mathematical Structures in Computer Science, 4, p 239-271. Cambridge University Press (1994)\\
+\verb|journals.cambridge.org/abstract_S096012950000044X|
+%\verb|axiom-developer.org/axiom-website/papers/Duva94b.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+In the first part of this paper (Duval and Reynaud 1994), we defined a
+categorical framework, based on the notion of {\sl sketch}, for
+specification and evaluation in the senses of algebraic specification
+and algebraic programming. {\sl Static evaluation} in {\sl
+quasi-projective sketches} was defined in Part I; in this paper, {\sl
+dynamic evaluation} is introduced. It deals with more general
+structures, which may have no initial model. Until now, this process
+has not been used in algebraic specification systems, but computer
+algebra systems are beginning to use it as a basic tool. Finally, we
+give some applications of dynamic evaluation to computation in field
+extensions.
+\end{adjustwidth}
+
+\bibitem[Duval 94c]{Duva94c} Duval, Dominique\\
+``Algebraic Numbers: An Example of Dynamic Evaluation''\\
+J. Symbolic Computation 18, 429-445 (1994)\\
+\verb|www.sciencedirect.com/science/article/pii/S0747717106000551|
+%\verb|axiom-developer.org/axiom-website/papers/Duva94c.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Dynamic evaluation is presented through examples: computations
+involving algebraic numbers, automatic case discussion according to
+the characteristic of a field. Implementation questions are addressed
+too. Finally, branches are presented as ``dual'' to binary functions,
+according to the approach of sketch theory.
+\end{adjustwidth}
+
 \subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Fletcher 01]{Fl01} Fletcher, John P.\\
@@ -2824,6 +2971,14 @@ Numerical Analysis Report. 134 Manchester University. (1987)
 ``The consistency of the continuum hypothesis''\\
 Ann. Math. Studies, Princeton Univ. Press, 1940
 
+\bibitem[Goldman 87]{Gold87} Goldman, L.\\
+``Integrals of multinomial systems of ordinary differential equations''\\
+J. of Pure and Applied Algebra, 45, 225-240 (1987)\\
+\verb|www.sciencedirect.com/science/article/pii/0022404987900727/pdf|
+\verb|?md5=5a0c70643eab514ccf47d80e4fc6ec5a&|
+\verb|pid=1-s2.0-0022404987900727-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gold87.pdf|
+
 \bibitem[Gollan 90]{GG90} H. Gollan; J. Grabmeier\\
 ``Algorithms in Representation Theory and
 their Realization in the Computer Algebra System Scratchpad''\\
@@ -3017,6 +3172,10 @@ Ph. D. Thesis, University of Linz, Austria, 1991
 ``Algorithmic properties of polynomial rings''\\
 Journal of Symbolic Computation 1998
 
+\bibitem[Kaltofen 84]{Kalt84} Kaltofen, E.\\
+``A Note on the Risch Differential Equation''\\
+Proc. EUROSAM pp 359-366 (1984)
+
 \bibitem[Kantor 89]{Kan89} Kantor,I.L.; Solodovnikov, A.S.\\
 ``Hypercomplex Numbers''\\
 Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
@@ -3046,6 +3205,14 @@ ISBN 0-937073-81-4 Stanford CA (1992)
 (Sorting and Searching)
 Addison-Wesley 1998
 
+\bibitem[Kobayashi 89]{Koba89} Kobayashi, H.; Moritsugu, S.; Hogan, R.W.\\
+``On Radical Zero-Dimensional Ideals''\\
+J. Symbolic Computations 8, 545-552 (1989)\\
+\verb|www.sciencedirect.com/science/article/pii/S0747717189800604/pdf|
+\verb|?md5=f06dc6269514c90dcae57f0184bcbe65&|
+\verb|pid=1-s2.0-S0747717189800604-main.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Koba88.pdf|
+
 \bibitem[Kolchin 73]{Kol73} Kolchin, E.R.\\
 ``Differential Algebra and Algebraic Groups''\\
 (Academic Press, 1973).
@@ -3579,6 +3746,19 @@ Princeton. 517--523. 1968
 Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
 American Math. Soc., 1991, pp191-195
 
+\bibitem[Singer 89]{Sing89} Singer, M.F.\\
+``Formal Solutions of Differential Equations''
+J. Symbolic COmputation 10, No.1 59-94 (1990)
+%\verb|axiom-developer.org/axiom-website/papers/Sing89.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We give a survey of some methods for finding formal solutions of
+differential equations. These include methods for finding power series
+solutions, elementary and liouvillian solutions, first integrals, Lie
+theoretic methods, transform methods, asymptotic methods. A brief
+discussion of difference equations is also included.
+\end{adjustwidth}
+
 \bibitem[Sit 92]{REF-Sit92} Sit, William\\
 ``An Algorithm for Parametric Linear Systems''\\
 J. Sym. Comp., April 1992
@@ -4984,6 +5164,27 @@ to show that all the solutions of a factor of such a system can be
 completed to solutions of the original system.
 \end{adjustwidth}
 
+\bibitem[Davenport 86]{Dav86} Davenport, J.H.\\
+``The Risch Differential Equation Problem''\\
+SIAM J. COMPUT. Vol 15, No. 4 1986
+%\verb|axiom-developer.org/axiom-website/papers/Dav86.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We propose a new algorithm, similar to Hermite's method for the
+integration of rational functions, for the resolution of Risch
+differential equations in closed form, or proving that they have no
+resolution. By requiring more of the presentation of our differential
+fields (in particular that the exponentials be weakly normalized), we
+can avoid the introduction of arbitrary constants which have to be
+solved for later.
+
+We also define a class of fields known as exponentially reduced, and
+show that solutions of Risch differential equations which arise from
+integrating in these fields satisfy the ``natural'' degree constraints
+in their main variables, and we conjecture (after Risch and Norman)
+that this is true in all variables.
+\end{adjustwidth}
+
 \bibitem[Singer 9]{Sing91.pdf} singer, Michael F.\\
 ``Liouvillian Solutions of Linear Differential Equations with Liouvillian Coefficients''\\
 J. Symbolic Computation V11 No 3 pp251-273 (1991)\\
@@ -5330,6 +5531,17 @@ where the algebraic expressions depend on a parameter as well as on
 the variable of integration.
 \end{adjustwidth}
 
+\bibitem[Davenport 82a]{Dav82a} Davenport, J.H.\\
+``The Parallel Risch Algorithm (I)
+%\verb|axiom-developer.org/axiom-website/papers/Dav82a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this paper we review the so-called ``parallel Risch'' algorithm for
+the integration of transcendental functions, and explain what the
+problems with it are. We prove a positive result in the case of
+logarithmic integrands.
+\end{adjustwidth}
+
 \bibitem[Davenport 82]{Dav82} Davenport, J.H.\\
 ``On the Parallel Risch Algorithm (III): Use of Tangents''\\
 SIGSAM V16 no. 3 pp3-6 August 1982
@@ -5354,10 +5566,12 @@ we need to understand what we mean by differentiation.
 \bibitem[Geddes 92a]{GCL92a} Geddes, K.O.; Czapor, S.R.; Labahn, G.\\
 ``The Risch Integration Algorithm''\\
 Algorithms for Computer Algebra, Ch 12 pp511-573 (1992)
+%\verb|axiom-developer.org/axiom-website/papers/GCL92a.pdf|
 
 \bibitem[Hardy 1916]{Hard16} Hardy, G.H.\\
 ``The Integration of Functions of a Single Variable''\\
 Cambridge Unversity Press, Cambridge, 1916
+% REF:00002
 
 \bibitem[Harrington 78]{Harr87} Harrington, S.J.\\
 ``A new symbolic integration system in reduce''\\
@@ -5381,10 +5595,13 @@ anticipated developments in symbolic integration.
 ``Sur l'int\'{e}gration des fractions rationelles.''\\
 {\sl Nouvelles Annales de Math\'{e}matiques}
 ($2^{eme}$ s\'{e}rie), 11:145-148, 1872
+% REF:00022
 
 \bibitem[Horowitz 71]{Horo71} Horowitz, Ellis\\
-``Algorithms for Partial Fraction Decomposition and Rational Function Integration''
-%\verb|axiom-developer.org/axiom-website/papers/Horo71.pdf|
+``Algorithms for Partial Fraction Decomposition and Rational Function Integration''\\
+SYMSAC '71 Proc. ACM Symp. on Symbolic and Algebraic Manipulation (1971) 
+pp441-457
+%\verb|axiom-developer.org/axiom-website/papers/Horo71.pdf| REF:00018
 
 \begin{adjustwidth}{2.5em}{0pt}
 Algorithms for symbolic partial fraction decomposition and indefinite
@@ -5543,7 +5760,7 @@ divisible by $Q$.
 \bibitem[Moses 76]{Mos76} Moses, Joel\\
 ``An introduction to the Risch Integration Algorithm''\\
 ACM Proc. 1976 annual conference pp425-428
-%\verb|axiom-developer.org/axiom-website/papers/Mos76.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mos76.pdf| REF:00048 
 
 \begin{adjustwidth}{2.5em}{0pt}
 Risch's decision procedure for determining the integrability in closed
@@ -5556,8 +5773,9 @@ of current research.
 
 \bibitem[Moses 71a]{Mos71a} Moses, Joel\\
 ``Symbolic Integration: The Stormy Decade''\\
+CACM Aug 1971 Vol 14 No 8 pp548-560
 \verb|www-inst.eecs.berkeley.edu/~cs282/sp02/readings/moses-int.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mos71a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mos71a.pdf| REF:00017
 
 \begin{adjustwidth}{2.5em}{0pt}
 Three approaches to symbolic integration in the 1960's are
@@ -5573,10 +5791,28 @@ functions and programs for solving differential equations and for
 finding the definite integral are also described.
 \end{adjustwidth}
 
+\bibitem[Norman 79]{Nor79} Norman, A.C.; Davenport, J.H.\\
+``Symbolic Integration -- The Dust Settles?''\\
+%\verb|axiom-developer.org/axiom-website/papers/Nor79.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+By the end of the 1960s it had been shown that a computer could find
+indefinite integrals with a competence exceeding that of typical
+undergraduates. This practical advance was backed up by algorithmic
+interpretations of a number of clasical results on integration, and by
+some significant mathematical extensions to these same results. At
+that time it would have been possible to claim that all the major
+barriers in the way of a complete system for automated analysis had
+been breached. In this paper we survey the work that has grown out of
+the above-mentioned early results, showing where the development has
+been smooth and where it has spurred work in seemingly unrelated fields.
+\end{adjustwidth}
+
 \bibitem[Ostrowski 46]{Ost46} Ostrowski, A.\\
 ``Sur l'int\'egrabilit\'e \'el\'ementaire de quelques classes
 d'expressions''\\
 Comm. Math. Helv., Vol 18 pp 283-308, (1946)
+% REF:00008
 
 \bibitem[Raab 12]{Raab12} Raab, Clemens G.\\
 ``Definite Integration in Differential Fields''\\
@@ -5713,11 +5949,11 @@ Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
 {\sl Transactions of the American Mathematical Society} 139:167-189, 1969
 %\verb|axiom-developer.org/axiom-website/papers/Ris69b.pdf|
 
-\bibitem[Risch 69c]{Ris69c} Risch, Robert\\
+\bibitem[Risch 70]{Ris70} Risch, Robert\\
 ``The Solution of the Problem of Integration in Finite Terms''\\
 \verb|www.ams.org/journals/bull/1970-76-03/S0002-9904-1970-12454-5/|
 \verb|S0002-9904-1970-12454-5.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Ris69c.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ris70.pdf| REF:00013
 
 \begin{adjustwidth}{2.5em}{0pt}
 The problem of integration in finite terms asks for an algorithm for
@@ -5740,12 +5976,13 @@ involved.
 \bibitem[Ritt 48]{Ritt48} Ritt, J.F.\\
 ``Integration in Finite Terms''\\
 Columbia University Press, New York 1948
+% REF:00046
 
 \bibitem[Rosenlicht 68]{Ro68} Rosenlicht, Maxwell\\
 ``Liouville's Theorem on Functions with Elementary Integrals''\\
 Pacific Journal of Mathematics Vol 24 No 1 (1968)\\
 \verb|msp.org/pjm/1968/24-1/pjm-v24-n1-p16-p.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Ro68.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ro68.pdf| REF:00047
 
 \begin{adjustwidth}{2.5em}{0pt}
 Defining a function with one variable to be elemetary if it has an
@@ -5767,14 +6004,14 @@ simplicity and generalization.
 \bibitem[Rosenlicht 72]{Ro72} Rosenlicht, Maxwell\\
 ``Integration in finite terms''\\
 {\sl American Mathematical Monthly}, 79:963-972, 1972
-%\verb|axiom-developer.org/axiom-website/papers/Ro72.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ro72.pdf| REF:00045
 
 \bibitem[Rothstein 76]{Ro76} Rothstein, Michael\\
 ``Aspects of symbolic integration and simplifcation of exponential
 and primitive functions''\\
 PhD thesis, University of Wisconsin-Madison (1976)
 \verb|www.cs.kent.edu/~rothstei/dis.pdf|
-#\verb|axiom-developer.org/axiom-website/papers/Ro76.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ro76.pdf| REF:00051
 
 \begin{adjustwidth}{2.5em}{0pt}
 In this thesis we cover some aspects of the theory necessary to obtain
@@ -5805,7 +6042,7 @@ In this paper a generalization of the Risch Structure Theorem is reported.
 The generalization applies to fields $F(t_1,\ldots,t_n)$ where $F$ 
 is a differential field (in our applications $F$ will be a finitely 
 generated extension of $Q$, the field of rational numbers) and each $t_i$ 
-is either algebraic over $F_{i-1}=F(t_1,\ldots,t_{i-1}), is an exponential 
+is either algebraic over $F_{i-1}=F(t_1,\ldots,t_{i-1})$, is an exponential 
 of an element in $F_{i-1}$, or is an integral of an element in $F_{i-1}$. 
 If $t_i$ is an integral and can be expressed using logarithms, it must be 
 so expressed for the generalized structure theorem to apply.
@@ -5814,7 +6051,7 @@ so expressed for the generalized structure theorem to apply.
 \bibitem[Rothstein 76b]{Ro76b} Rothstein, Michael; Caviness, B.F.\\
 ``A structure theorem for exponential and primitive functions''\\
 SIAM J. Computing Vol 8 No 3 (1979)
-%\verb|axiom-developer.org/axiom-website/papers/Ro76b.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ro76b.pdf| REF:00104
 
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper a new theorem is proved that generalizes a result of
@@ -5863,6 +6100,41 @@ rational operations has an integral which can be expressed in terms of
 elementary functions and error functions.
 \end{adjustwidth}
 
+\bibitem[Slagle 61]{Slag61} Slagle, J.\\
+``A heuristic program that solves symbolic integration problems in freshman calculus''\\
+Ph.D Diss. MIT, May 1961; also Computers and Thought, Feigenbaum and Feldman.
+% REF:00014
+
+\bibitem[Terelius 09]{Tere09} Terelius, Bjorn\\
+``Symbolic Integration''\\
+%\verb|axiom-developer.org/axiom-website/papers/Tere09.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Symbolic integration is the problem of expressing an indefinite integral
+$\int{f}$ of a given function $f$ as a finite combination $g$ of elementary
+functions, or more generally, to determine whether a certain class of
+functions contains an element $g$ such that $g^\prime = f$.
+
+In the first part of this thesis, we compare different algorithms for
+symbolic integration. Specifically, we review the integration rules
+taught in calculus courses and how they can be used systematically to
+create a reasonable, but somewhat limited, integration method. Then we
+present the differential algebra required to prove the transcendental
+cases of Risch's algorithm. Risch's algorithm decides if the integral
+of an elementary function is elementary and if so computes it. The
+presentation is mostly self-contained and, we hope, simpler than
+previous descriptions of the algorithm. Finally, we describe
+Risch-Norman's algorithm which, although it is not a decision
+procedure, works well in practice and is considerably simpler than the
+full Risch algorithm.
+
+In the second part of this thesis, we briefly discuss an
+implementation of a computer algebra system and some of the
+experiences it has given us.  We also demonstrate an implementation of
+the rule-based approach and how it can be used, not only to compute
+integrals, but also to generate readable derivations of the results.
+\end{adjustwidth}
+
 \bibitem[Trager 76]{Tr76} Trager, Barry\\
 ``Algebraic factoring and rational function integration''\\
 In {Proceedings of SYMSAC'76} pages 219-226, 1976
@@ -5884,7 +6156,7 @@ be expressed.
 ``Algorithms for Manipulating Algebraic Functions''\\
 MIT Master's Thesis.\\
 \verb|www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/fattorizzazione-EA.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Tr76a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Tr76a.pdf| REF:00050
 
 \begin{adjustwidth}{2.5em}{0pt}
 Given a base field $k$, of characteristic zero, with effective
@@ -6013,5 +6285,12 @@ basis for various algorithms in Ore rings, in particular, in
 differential, shift, and $q$-shift rings.
 \end{adjustwidth}
 
+\subsection{Number Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem[Shoup 08]{Sho08} Shoup, Victor\\
+``A Computational Introduction to Number Theory''\\
+\verb|shoup.net/ntb/ntb-v2.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Sho08.pdf|
+
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index 49887d8..34888f8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140825 tpd src/axiom-website/patches.html 20140825.02.tpd.patch
+20140825 tpd books/bookvolbib fix typos
 20140825 tpd src/axiom-website/patches.html 20140825.01.tpd.patch
 20140825 tpd buglist add 7259 from taylorseries.input
 20140825 tpd src/input/Makefile add taylorseries.input
diff --git a/patch b/patch
index b98bb6a..633e02e 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-src/input/taylorseries.input add taylor series regression test
+books/bookvolbib fix typos
 
-Ralf Hemmecke / Bill Page taylor series regression test
+minor typo fixes
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 44d2389..c4b9cc5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4610,6 +4610,8 @@ books/bookvolbib add bibliographic references<br/>
 books/bookvolbib add bibliographic references<br/>
 <a href="patches/20140825.01.tpd.patch">20140825.01.tpd.patch</a>
 src/input/taylorseries.input added regression test<br/>
+<a href="patches/20140825.02.tpd.patch">20140825.02.tpd.patch</a>
+books/bookvolbib fix typos<br/>
  </body>
 </html>
 
